﻿//  VisualStudio上で実行する場合には、プロジェクトのDebugプロパティに記述があるfsi.exeのパスと、ワークパスを環境に合わせて修正してください。


#load "CsvProcessor.fs"
//#r "CsvProcessor.dll"
open CsvProcessor

let workPath = @".\"
let inFile = workPath + "TestInput.csv"
let outFile = workPath + "TestOutput.csv"

let checks = 
  [
    [
      null2Zero;
      checker (fun v _ -> if List.exists ((=) v) ["0"; "1"; "2"] then None else Some "許容値エラー" )
    ];
    [
      null2Zero;
      checker (fun v (ar : string []) -> if ar.[0] = "1" && v <> "0" then None else Some "関連チェックエラー")
    ];
    [
    ];
    [
      adder 0 1
    ]
  ]

try
  csvOperation inFile outFile checks
with 
  | e -> printfn "%A" e

System.Console.ReadLine() |> ignore


